Financials
This endpoint is used to query financial indicator data.
HTTP Request
bash
GET /market/v1/tickers/{symbol}/financialsRequest Parameters
| Name | Type | Required | Description |
|---|---|---|---|
market | ENUM | YES | Market code. See market enum for supported values. |
Example cURL Request
bash
curl --location --request GET '{$base_url}/market/v1/tickers/BTC-USDT/financials?market=dcex' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142'Response Fields
| Field | Type | Description |
|---|---|---|
symbol | STRING | Crypto Symbol |
market_cap | LONG | Market Cap |
revenue | LONG | Revenue |
indicators | OBJECT | Crypto Indicators |
indicators
| Field | Type | Description |
|---|---|---|
ev | LONG | Enterprise Value |
pe | DECIMAL | Price-to-Earnings (P/E) Ratio |
ps | DECIMAL | Price-to-Sales (P/S) Ratio |
pb | DECIMAL | Price-to-Book (P/B) Ratio |
eps | DECIMAL | EPS(ttm) |
roe | DECIMAL | Return on Equity |
roa | DECIMAL | Return on Assets |
earnings_yield | DECIMAL | Earnings Yield |
dividend_yield | DECIMAL | Dividend Yield |
asset_turnover | DECIMAL | Asset Turnover |
inventory_turnover | DECIMAL | Inventory Turnover |
quick_ratio | DECIMAL | Quick Ratio |
current_ratio | DECIMAL | Current Ratio |
Successful Response Example
json
{
"code": 0,
"data": {
"symbol": "BTC-USDT",
"market_cap": 950633016115,
"revenue": 95720000000,
"indicators": {
"ev": 926765016115,
"pe": 168.863,
"ps": 9.882,
"pb": 12.73,
"eps": 1.75,
"roe": 0.08774,
"roa": 0.03724,
"earnings_yield": 0.00642,
"dividend_yield": 0,
"asset_turnover": 0.817,
"inventory_turnover": 5.301,
"quick_ratio": 1.376,
"current_ratio": 1.996
}
}
}Error Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}
